--- /dev/null	2007-10-02 23:46:34.736041737 +0100
+++ debootstrap-1.0.3/debootstrap.8.xml	2007-10-16 18:11:02.000000000 +0100
@@ -0,0 +1,262 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
+                   "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
+<!-- lifted from troff+man by doclifter -->
+<refentry id='debootstrap8'>
+<refentryinfo><date>2001-04-27</date></refentryinfo>
+<refmeta>
+<refentrytitle>DEBOOTSTRAP</refentrytitle>
+<manvolnum>8</manvolnum>
+<refmiscinfo class='date'>2001-04-27</refmiscinfo>
+<refmiscinfo class='source'>Debian Project</refmiscinfo>
+<refmiscinfo class='manual'>Debian GNU/Linux manual</refmiscinfo>
+</refmeta>
+<refnamediv id='name'>
+<refname>debootstrap</refname>
+<refpurpose>Bootstrap a basic Debian system</refpurpose>
+</refnamediv>
+<!-- body begins here -->
+<refsynopsisdiv id='synopsis'>
+<cmdsynopsis>
+  <command>debootstrap</command>
+    <arg choice='opt' rep='repeat'><replaceable>OPTION</replaceable></arg>
+    <arg choice='plain'><replaceable>SUITE</replaceable></arg>
+    <arg choice='plain'><replaceable>TARGET</replaceable></arg>
+    <arg choice='opt'><arg choice='plain'><replaceable>MIRROR</replaceable></arg><arg choice='opt'><replaceable>SCRIPT</replaceable></arg></arg>
+</cmdsynopsis>
+<cmdsynopsis>
+  <command>debootstrap</command>
+    <arg choice='opt' rep='repeat'><replaceable>OPTION</replaceable></arg>
+    <arg choice='plain'>--second-stage </arg>
+</cmdsynopsis>
+</refsynopsisdiv>
+
+
+<refsect1 id='description'><title>DESCRIPTION</title>
+<para><command>debootstrap</command>
+bootstraps a basic Debian system of
+<emphasis remap='I'>SUITE</emphasis>
+(eg, sarge, etch, lenny, sid) into
+<emphasis remap='I'>TARGET</emphasis>
+from
+<emphasis remap='I'>MIRROR</emphasis>
+by running
+<emphasis remap='I'>SCRIPT</emphasis>.
+<emphasis remap='I'>MIRROR</emphasis>
+can be an http:// URL or a file:/// URL. Notice that file:/ URLs are
+translated to file:/// (correct scheme as described in RFC1738 for local filenames),
+and file:// will <emphasis remap='B'>not</emphasis> work.</para>
+
+<para><emphasis remap='B'>Debootstrap</emphasis> can be used to install Debian in a system without using an
+installation disk but can also be used to run a different Debian flavor in a <emphasis remap='B'>chroot</emphasis>
+environment. This way you can create a full (minimal) Debian installation which
+can be used for testing purposes (see the <emphasis remap='B'>EXAMPLES</emphasis> section).
+If you are looking for a chroot system to build packages please take a look at
+<emphasis remap='B'>pbuilder</emphasis>.</para>
+</refsect1>
+
+<refsect1 id='options'><title>OPTIONS</title>
+<variablelist remap='IP'>
+  <varlistentry>
+  <term><option>--arch ARCH</option></term>
+  <listitem>
+<para>Set the target architecture (use if dpkg isn't installed). See also --foreign.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--include=alpha,beta</option></term>
+  <listitem>
+<para>Comma separated list of packages which will be added to download and extract
+lists.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--exclude=alpha,beta</option></term>
+  <listitem>
+<para>Comma separated list of packages which will be removed from download and
+extract lists. WARNING: you can and probably will exclude essential packages, be
+careful using this option.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--components=alpha,beta</option></term>
+  <listitem>
+<para>Use packages from the listed components of the archive.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--no-resolve-deps</option></term>
+  <listitem>
+<para>By default, debootstrap will attempt to automatically resolve any missing
+dependencies, warning if any are found. Note that this is not a complete
+dependency resolve in the sense of dpkg or apt, and that it is far better
+to specify the entire base system than rely on this option. With this
+option set, this behaviour is disabled.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--variant=buildd|fakechroot</option></term>
+  <listitem>
+<para>Name of the bootstrap script variant to use.  Currently, the variant
+supported are buildd, which installs the build-essential packages into
+<emphasis remap='I'>TARGET</emphasis>
+and fakechroot, which installs the packages without root privileges.
+The default, with no <option>--variant=X</option> argument, is to create a base
+Debian installation in
+<emphasis remap='I'>TARGET</emphasis>.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--keyring=KEYRING</option></term>
+  <listitem>
+<para>Download signatures for retrieved Release files and check them against
+<emphasis remap='I'>KEYRING</emphasis>.
+By default, Release file signatures are not checked.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--verbose</option></term>
+  <listitem>
+<para>Produce more info about downloading.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--print-debs</option></term>
+  <listitem>
+<para>Print the packages to be installed, and exit. Note that a TARGET directory
+must be specified so debootstrap can download Packages files to determine
+which packages should be installed, and to resolve dependencies. The TARGET
+directory will be deleted unless --keep-debootstrap-dir is specified.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--download-only</option></term>
+  <listitem>
+<para>Download packages, but don't perform installation</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--foreign</option></term>
+  <listitem>
+<para>Do the initial unpack phase of bootstrapping only, for example if the
+target architecture does not match the host architecture. A copy of
+debootstrap sufficient for completing the bootstrap process will be
+installed as /debootstrap/debootstrap in the target filesystem.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--second-stage</option></term>
+  <listitem>
+<para>Complete the bootstrapping process. Other arguments are generally not
+needed.</para>
+
+  </listitem>
+  </varlistentry>
+
+  <varlistentry>
+  <term><option>--second-stage-target</option><replaceable> DIR</replaceable></term>
+  <listitem>
+  <para>Usually, <filename>debootstrap</filename> <option>--second-stage</option>
+  is intended to install the Debian system onto a new device as the new
+  filesystem. <option>--second-stage-target</option> provides a method to
+  test such an installation in a chroot on the device (which should already be
+  running some form of GNU/Linux capable of using such a chroot). Note that the
+  <emphasis role="bold">suite script will need modification</emphasis> in
+  most (all?) cases to ensure that commands are executed within the
+  chroot.
+  </para>
+  </listitem>
+  </varlistentry>
+
+  <varlistentry>
+  <term><option>--keep-debootstrap-dir</option></term>
+  <listitem>
+<para>Don't delete the /debootstrap directory in the target after completing the
+installation.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--unpack-tarball FILE</option></term>
+  <listitem>
+<para>Acquire .debs from tarball FILE instead of downloading via http</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--make-tarball FILE</option></term>
+  <listitem>
+<para>Instead of bootstrapping, make a tarball (written to FILE) of the downloaded
+packages.
+The resulting tarball may be passed to a later
+<option>--unpack-tarball</option>.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--boot-floppies</option></term>
+  <listitem>
+<para>Used for internal purposes by boot-floppies</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>--debian-installer</option></term>
+  <listitem>
+<para>Used for internal purposes by the debian-installer</para>
+
+  </listitem>
+  </varlistentry>
+</variablelist>
+</refsect1>
+
+<refsect1 id='example'><title>EXAMPLE</title>
+
+
+<para>To setup a <emphasis remap='I'>sarge</emphasis> system:</para>
+
+<para># debootstrap sarge ./sarge-chroot <ulink url='http://ftp.debian.org/debian'>http://ftp.debian.org/debian</ulink></para>
+
+<para># debootstrap sarge ./sarge-chroot file:///PATH_TO_LOCAL_MIRROR/debian</para>
+
+<para>Full process to create a complete Debian installation of <emphasis remap='I'>sid</emphasis> (unstable):</para>
+
+<programlisting> main # cd / ; mkdir /sid-root
+ main # debootstrap sid /sid-root <ulink url='http://ftp.debian.org/debian/'>http://ftp.debian.org/debian/</ulink>
+[ ... watch it download the whole system ]
+ main # echo "proc /sid-root/proc proc none 0 0" &gt;&gt; /etc/fstab
+ main # mount proc /sid-root/proc -t proc
+ main # cp /etc/hosts /sid-root/etc/hosts
+ main # chroot /sid-root /bin/bash
+ chroot # dselect
+[ you may use aptitude, install mc and vim ... ]
+ main # echo "8:23:respawn:/usr/sbin/chroot /sid-root " \
+      "/sbin/getty 38400 tty8"  &gt;&gt; /etc/inittab
+[ define a login tty that will use this system ]
+ main # init q
+[ reload init ]
+</programlisting>
+
+<para>Note that you will generally need a recent version of debootstrap to
+do this; the version currently in stable will generally have stopped
+working due to changes to unstable shortly after the last release.</para>
+</refsect1>
+
+<refsect1 id='author'><title>AUTHOR</title>
+<para><command>debootstrap</command>
+was written by Anthony Towns &lt;ajt@debian.org&gt;.
+This manpage was written by Matt Kraai &lt;kraai@debian.org&gt;.</para>
+</refsect1>
+</refentry>
+
